package come.stormborntales.notevault.data.local.entity

import androidx.room.Entity
import androidx.room.PrimaryKey

enum class SyncStatus {
    PENDING,  // Lokale Änderungen warten auf Synchronisation
    SYNCHRONIZED,  // Der Eintrag wurde mit dem Server synchronisiert
    DELETED  // Der Eintrag wurde lokal gelöscht und wartet auf Serverabgleich
}
@Entity(tableName = "notes")
data class NoteEntity(
    @PrimaryKey(autoGenerate = true) val id: Int = 0,
    var title: String,
    val images: List<String>, // oder String + TypeConverter
    var composer: String?,
    var year: Int?,
    var genre: String?,
    var description: String?,
    val imagePreview: String,

    val remoteId: String? = null,
    val localModificationTimestamp: Long = System.currentTimeMillis(),  // Zeitstempel der letzten lokalen Änderung
    val syncStatus: SyncStatus = SyncStatus.PENDING  // Status der Synchronisation

)
